Get Webhooks
curl --request GET \
--url https://api.eka.care/notification/v1/connect/webhook/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/notification/v1/connect/webhook/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/notification/v1/connect/webhook/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "7",
"event_names": [
"appointment.created",
"appointment.updated",
"prescription.created",
"prescription.updated",
"receipt.created",
"receipt.updated"
],
"endpoint": "https://example.com/webhook",
"signing_key": "supersecretkey",
"client_id": "testing",
"protocol": "https",
"created_at": "2024-10-07T13:53:52Z",
"updated_at": "2024-10-07T13:53:52Z",
"created_by": "testing",
"updated_by": "testing"
}
],
"msg": "success"
}{
"error": {
"message": "Unauthorized request",
"code": "INVALID_REQUEST"
}
}{
"error": {
"message": "Internal Server Error",
"code": "SERVER_ERROR"
}
}Webhooks
Get Webhooks
Retrieves all registered webhooks. This endpoint allows partners to get a list of all webhooks that have been registered. Each webhook in the list includes details such as the unique identifier, event names that trigger the webhook, the endpoint URL, the signing key (if provided), the client ID, the protocol used, and timestamps for when the webhook was created and last updated. This information helps partners manage and audit their webhook configurations.
GET
/
notification
/
v1
/
connect
/
webhook
/
subscriptions
Get Webhooks
Was this page helpful?
⌘I

